Warning: Can't synchronize with the repository (No changeset 2213 in the repository). Look in the Trac log for more information.

Check the minimum requirements before installing.
You can download FireStats from here.

Choose platform